# IRCAT

Section: User Commands (1)

Updated: Last change: Jan 2017

Index Return to Main Contents

## NAME

ircat - print strings when pressing buttons

## SYNOPSIS

ircat [options] <prog>

## DESCRIPTION

This program prints config strings to standard output. It can be used to provide remote control input to scripts and to debug your .lircrc file.

The argument to the program is the program name, as it appears in the prog entries in .lircrc.

-h --help
  Display usage summary.
-v --version
  Display version.
-c --config=<file>
  Set config file.

## EXAMPLES

If .lircrc contains:

    begin
            prog = myprog
            button = KEY_CHANNELUP
            config = next_file
    end

then

    $ ircat myprog

will print "next_file" (followed by newline) every time the button bound to KEY_CHANNELUP is pressed.

## ENVIRONMENT

LIRC_SOCKET_PATH
  The lircd(8) output socket used to retrieve data. Defaults to /opt/local/var/run/lirc/lircd

## SEE ALSO

The documentation for

lirc

is maintained as html pages. They are located under html/ in the documentation directory.

## Index

NAME
SYNOPSIS
DESCRIPTION
EXAMPLES
ENVIRONMENT
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 11:41:17 GMT, April 14, 2018